List Helm Registries Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/registries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/registries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/registries \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"chart_count": 123,
"indexing": true,
"is_global": true,
"name": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_name": "<string>",
"delete_permanently": false,
"last_indexed_at": "2023-11-07T05:31:56Z",
"last_sync_error": "<string>",
"next_sync_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm API
List Helm Registries Endpoint
GET
/
api
/
v1
/
org
/
helm
/
registries
List Helm Registries Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/helm/registries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/helm/registries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/registries \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"chart_count": 123,
"indexing": true,
"is_global": true,
"name": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"credential_name": "<string>",
"delete_permanently": false,
"last_indexed_at": "2023-11-07T05:31:56Z",
"last_sync_error": "<string>",
"next_sync_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Maximum string length:
200Available options:
name, url, created_at, updated_at, chart_count, last_indexed_at, is_global Available options:
asc, desc